Package org.opensaml.soap.wssecurity

# Interface TokenTypeBearing

public interface TokenTypeBearing
Interface for element having a `@wsse11:TokenType`; attribute.

See Also:
  - "WS-Security 2004, Chapter 7.1 SecurityTokenReference Element."

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`WSSE11_TOKEN_TYPE_ATTR_LOCAL_NAME`
The `@wsse11:TokenType` attribute local name.
`static final QName`
`WSSE11_TOKEN_TYPE_ATTR_NAME`
The `@wsse11:TokenType` qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getWSSE11TokenType()`
Returns the `@wsse11:TokenType` attribute value.
`void`
`setWSSE11TokenType(String tokenType)`
Sets the `@wsse11:TokenType` attribute value.

## Field Details

### WSSE11_TOKEN_TYPE_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String WSSE11_TOKEN_TYPE_ATTR_LOCAL_NAME
The `@wsse11:TokenType` attribute local name.

See Also:
  - Constant Field Values

### WSSE11_TOKEN_TYPE_ATTR_NAME

@Nonnull static final QName WSSE11_TOKEN_TYPE_ATTR_NAME
The `@wsse11:TokenType` qualified attribute name.

## Method Details

### getWSSE11TokenType

@Nullable String getWSSE11TokenType()
Returns the `@wsse11:TokenType` attribute value.

Returns:
  the `@wsse11:TokenType` attribute value or `null`.

### setWSSE11TokenType

void setWSSE11TokenType(@Nullable String tokenType)
Sets the `@wsse11:TokenType` attribute value.

Parameters:
  `tokenType` - the `@wsse11:TokenType` attribute value to set.